VFS_TIMESTAMP(9)

NAME
vfs_timestamp - generate current timestamp

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
void
vfs_timestamp(struct timespec *tsp);

DESCRIPTION
The vfs_timestamp() function fills in tsp with the current time.

The precision is based on the value of the vfs.timestamp_precision sysctl variable:

0   seconds only; nanoseconds are zeroed.
1   seconds and nanoseconds, accurate within 1/HZ.
2   seconds and nanoseconds, truncated to microseconds.
≥3  seconds and nanoseconds, maximum precision.

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.